    /*

    Copyright (C) 1999 Stefan Westerfeld
                       stefan@space.twc.de

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    */

#include "hello.h"
#include "micosec.h"

int main(int argc, char **argv)
{
	bool hacker = false;
	int i,max = 1;
 	MICOSec *micoSec;

    // ORB initialization
    CORBA::ORB_var orb = CORBA::ORB_init( argc, argv, "mico-local-orb" );
    CORBA::BOA_var boa = orb->BOA_init (argc, argv, "mico-local-boa");

	for(i=1;i<argc;i++)
	{
		if(!strcmp(argv[i],"hacker")) hacker = true;
		if(!strcmp(argv[i],"perf")) max = 10000;
	}

	// clients need that to read the .MICOauthority
	if(!hacker)
		micoSec = new MICOSec(orb,boa);

    // use ugly mico style binding, so the port is fixed
    CORBA::Object_var obj = orb->bind ("IDL:Hello:1.0","inet:localhost:8888");
    assert (!CORBA::is_nil (obj));

    Hello_var client = Hello::_narrow( obj );
	
	for(i=0;i<max;i++) client->hello();
}
