    /*

    Copyright (C) 1999 Stefan Westerfeld
                       stefan@space.twc.de

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    */

#include "hello.h"
#include "micosec.h"

// Implementation for interface Hello

class Hello_impl : virtual public Hello_skel
{
  public:
    void hello()
	{
		cout << "Hello world!" << endl;
	}
};

int main(int argc, char **argv)
{
    CORBA::ORB_var orb = CORBA::ORB_init( argc, argv, "mico-local-orb" );
   	CORBA::BOA_var boa = orb->BOA_init (argc, argv, "mico-local-boa");

	MICOSec micoSec(orb,boa);		// add this line to enable security

	(void)new Hello_impl();
    boa->impl_is_ready (CORBA::ImplementationDef::_nil());
    orb->run ();
 
    return 0;                                                                   
}
